> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# PATCH /settings/checkout-features

**Update checkout feature settings**

Updates the checkout feature settings for your account.

Send only the fields that you want to change. Fields that you omit keep their current value.

If successful, your response includes a copy of the updated checkout feature settings entity.

**Required permissions:** `checkout_settings.write`

## Request body

- `discounts_enabled`: boolean — Whether customers can enter discount codes at checkout.
- `audience_opt_in`: string — Whether the marketing consent checkbox is shown at checkout.
  - `never` — Don't show the marketing consent checkbox at checkout.
  - `choice` — Show the marketing consent checkbox at checkout, unchecked by default.
- `saved_payment_methods_enabled`: boolean — Whether customers can save payment methods at checkout for future purchases.

### Request example

```json
{
  "discounts_enabled": true,
  "audience_opt_in": "choice"
}
```

## Response (200)

- `data`: object (required) — Represents the checkout feature settings for your account.
  - `discounts_enabled`: boolean (required) — Whether customers can enter discount codes at checkout.
  - `audience_opt_in`: string (required) — Whether the marketing consent checkbox is shown at checkout.
    - `never` — Don't show the marketing consent checkbox at checkout.
    - `choice` — Show the marketing consent checkbox at checkout, unchecked by default.
  - `saved_payment_methods_enabled`: boolean (required) — Whether customers can save payment methods at checkout for future purchases.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "discounts_enabled": true,
    "audience_opt_in": "choice",
    "saved_payment_methods_enabled": true
  },
  "meta": {
    "request_id": "3a2d1e4c-7b8f-4a6d-9c1e-2f4b6a8d0c3e"
  }
}
```
